#include <stdio.h>
#include <string.h>
#include <assert.h>
#include <sys/socket.h>
#include <netdb.h>



int
main(int argc, char *argv[])
{
    int fd = socket(AF_INET, SOCK_STREAM, 0);
    assert(fd > -1);

    // need to talk to HOSTNAME, PORT
    char *hostname = "claudio.cs.wisc.edu";
    int  port      = 10000;

    struct hostent *hp;
    hp = gethostbyname(hostname);
    assert(hp != NULL);

// struct sockaddr_in {
//   unsigned short sin_family;      // AF_INET
//   unsigned short sin_port;        // port number in network byte order
//   struct in_addr sin_addr;        // IP address in network byte order
//   ...
// };

    struct sockaddr_in serveraddr;
    bzero((char *) &serveraddr, sizeof(serveraddr));
    serveraddr.sin_family = AF_INET;
    bcopy((char *) hp->h_addr_list[0],
	  (char *) &serveraddr.sin_addr.s_addr, hp->h_length);
    serveraddr.sin_port = htons(port); // h to n  (short)

    int rc = connect(fd, (struct sockaddr *)&serveraddr, sizeof(serveraddr));
    assert(rc == 0);



    return fd;
}


